Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Locator::ServerNameList Class Reference

`#include <ImR_LocatorC.h>`

Inheritance diagram for ImplementationRepository::Locator::ServerNameList:

[legend]
Collaboration diagram for ImplementationRepository::Locator::ServerNameList:

[legend]
List of all members.

## Public Types
typedef ServerNameList_var | _var_type
## Public Methods
| ServerNameList (void)
| ServerNameList (CORBA::ULong max)
| ServerNameList (CORBA::ULong max, CORBA::ULong length, char **buffer, CORBA::Boolean release=0)
| ServerNameList (const ServerNameList &)
| ~ServerNameList (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef ServerNameList_var ImplementationRepository::Locator::ServerNameList::_var_type

## Constructor & Destructor Documentation

ImplementationRepository::Locator::ServerNameList::ServerNameList | ( | void |  | ) |

ImplementationRepository::Locator::ServerNameList::ServerNameList | ( | CORBA::ULong | max | ) |

ImplementationRepository::Locator::ServerNameList::ServerNameList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | char ** | buffer,
|  | CORBA::Boolean | release = 0
| ) |

ImplementationRepository::Locator::ServerNameList::ServerNameList | ( | const ServerNameList & |  | ) |

ImplementationRepository::Locator::ServerNameList::~ServerNameList | ( | void |  | ) |

## Member Function Documentation

void ImplementationRepository::Locator::ServerNameList::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from TAO_Unbounded_String_Sequence.

The documentation for this class was generated from the following files:

- ImR_LocatorC.h
- ImR_LocatorC.cpp